import { VidSourceBase } from './VidSourceBase';
export class VidAuth extends VidSourceBase {
    constructor() {
        super();
        this.mVid = "";
        this.mPlayAuth = "";
        this.mRegion = "";
        this.nativeGetVid = () => {
            return this.mVid;
        };
        this.nativeSetVid = (x37) => {
            this.mVid = x37;
        };
        this.nativeGetPlayAuth = () => {
            return this.mPlayAuth;
        };
        this.nativeSetPlayAuth = (w37) => {
            this.mPlayAuth = w37;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (v37) => {
            this.mRegion = v37;
        };
    }
    setQuality(n37, o37) {
        this.mQuality = n37;
        this.mForceQuality = o37;
    }
    getVid() {
        return this.mVid;
    }
    setVid(m37) {
        this.mVid = m37;
    }
    getPlayAuth() {
        return this.mPlayAuth;
    }
    setPlayAuth(l37) {
        this.mPlayAuth = l37;
    }
    getRegion() {
        return this.mRegion;
    }
    setRegion(k37) {
        this.mRegion = k37;
    }
}
